<?php

/**
 * @file
 * Media: Brightcove provider object.
 */

class MediaBrightcove extends EmapiMedia {
  // The provider; matches the scheme:// of the $uri.
  public $provider = 'brightcove';

  // Regex patterns for matching while parsing a URL.
  public $patterns = array(
    // Brightcove v3.3 - URL style.
    '@\.brightcove\.com/services/player/bcpid.*?\?bctid=(\d+)@i',
    // Brightcove Simple RSS URL style. billk2
    '@\.brightcove\.com/services/link/bcpid.*?/bctid(\d+)@i',
    // Older blog style.
    '@\.brightcove\.com/services/viewer/.*?videoId=(\d+)@i',
    // Brightcove v3.3 - Blog style.
    '@\.brightcove\.com/services/viewer/.*?videoPlayer=(\d+)@i',
    // Brightcove v3.3 - Website style.
    '@id="myExperience(\d+)" class="BrightcoveExperience"@i',
  );

  // Use these for building the URL to the original location.
  public function get_prefix_url() {
    return 'http://link.brightcove.com/services/player/bcpid' . media_brightcove_variable_get('full_player_id') . '?bctid=';
  }
}
